Package: org.gradle.nativeplatform

## [Java] Interface TasksCollection

- java.util.Collection

- All Superinterfaces:
    DomainObjectSet, BinaryTasksCollection, Iterable, DomainObjectCollection, Collection

  Provides access to key tasks used for building the binary.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Task` | `getCreateStaticLib()` The create static library task.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface BinaryTasksCollection` | `create, getBuild`
    `interface DomainObjectSet` | `findAll, matching, matching, withType`
    `interface DomainObjectCollection` | `all, all, findAll, matching, matching, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType, withType`
    `interface Set` | `add, equals, hashCode, clear, contains, isEmpty, size, toArray, toArray, addAll, iterator, remove, containsAll, removeAll, retainAll`

- - ### Method Detail

    - #### public Task getCreateStaticLib()

      The create static library task.